/*
 * dblink_tds.c
 *
 * Functions returning results from a remote MSSQL database
 *
 * Diogo Biazus <diogob@gmail.com>
 * Based on the original dblink code by Joe Conway
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without a written agreement
 * is hereby granted, provided that the above copyright notice and this
 * paragraph and the following two paragraphs appear in all copies.
 *
 * IN NO EVENT SHALL THE AUTHOR OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING
 * LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS
 * DOCUMENTATION, EVEN IF THE AUTHOR OR DISTRIBUTORS HAVE BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * THE AUTHOR AND DISTRIBUTORS SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE AUTHOR AND DISTRIBUTORS HAS NO OBLIGATIONS TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 *
 */

#ifndef DBLINK_TDS_H
#define DBLINK_TDS_H

/* TDS connection constants */
#define DBLINK_TDS_APP		"dblink"
#define DBLINK_TDS_LIBRARY	"TDS-Library"
#define DBLINK_TDS_PACKET	512

/*
 * External declarations
 */
extern Datum dblink_tds(PG_FUNCTION_ARGS);
extern Datum dblink_tds_create_view(PG_FUNCTION_ARGS);
extern Datum dblink_tds_create_rules(PG_FUNCTION_ARGS);
#endif   /* DBLINK_TDS_H */
